## hackers-monitor 0.09

=== Makefile ===
CXX           ?= g++
CXXFLAGS      += -std=c++0x -O3 -Wall -Wextra -pedantic -march=native
LIBS          := -lrt
BIN           := xfce-hkmon

$(BIN): $(BIN).o
	$(CXX) -o $@ $^ $(CFLAGS) $(LIBS)
	strip $@

%.o: %.cpp
	$(CXX) -c -o $@ $< $(CXXFLAGS)

.PHONY: clean

clean:
	rm -f *.o $(BIN)

=== debian/changelog ===
hackers-monitor (0.09-2mx21) mx; urgency=medium

  * Add first man page donated by timkb4cq.

 -- Steven Pusser <stevep@mxlinux.org>  Wed, 09 Nov 2022 15:48:36 -0800

hackers-monitor (0.09-1mx21+1) mx; urgency=low

  * Initial packaging.

 -- Steven Pusser <stevep@mxlinux.org>  Wed, 09 Nov 2022 11:47:38 -0800

=== debian/control ===
Source: hackers-monitor
Section: util
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
Build-Depends: debhelper-compat (= 12)
Standards-Version: 4.5.0
Homepage: https://lightful.github.io/xfce-hkmon/

Package: hackers-monitor
Architecture: any
Multi-Arch: foreign
Depends: ttf-bitstream-vera, ${misc:Depends}, ${shlibs:Depends}
Description: featureful and lightweight CLI system monitor
 Featureful and lightweight CLI system monitor
 General usage is "hkmon NET CPU TEMP IO RAM"
 Use "NET8" to display in bytes (B) instead of bits (b)
 .
 When several options are combined, the panel vertical real estate required
 will grow. In case the panel is not wide enough, the optional LINE option
 allows switching into a fully horizontal layout.
 .
 The network interface shown in the panel is automatically selected
 (the most active interface in the last interval, except for the loopback).
 If your system has several active interfaces and you prefer a concrete one,
 simply add its name (eth0, ppp0, etc) to the command line (NET could be
 omitted). The tooltip shows all the network interfaces with at least one
 byte transferred, and a mark signaling which one is being reported in the
 panel. By default the speed is shown in bits per second (use NET8 to select
 bytes).
 .
 Likewise, only physical disks with data transferred since boot are reported.
 If a device (network or disk) is moving a single byte of data, the related △
 or ▽ arrow will turn dark (meanwhile, the IO or bandwidth value reported
 may be shown as 0 under too little data transferred).
 The tooltip shows a CPU usage resume (all cores) and a brief breakdown by
 core. Values within parentheses are the accumulated usage since boot. The
 speed summary displayed at the top is weighted by real usage (thus it can
 run from a few MHz all the way to as many GHz as the number of cores
 available multiplied by their max clock).
 .
 If a virtual machine is running, guest or guest nice CPU values will be
 reported showing its expenditure (on the other hand, if this monitor's
 computer runs inside a virtual machine, a steal value could be reported).
 .
 The temperature shown in the panel area is the highest read among all cores
 and sockets (if there are several cores or sockets, the tooltip groups them
 reporting the max/min/avg instead).
 .
 The command line arguments mostly select the tooltip verbosity. If the CPU is
 selected, either the temperature or the RAM will also appear in the panel at
 its side (the one first listed in the command line will be selected).
 .
 The application writes temporary data in shared memory (SSD friendly) usually
 in /run/user/<PID> to store its previous state (since it is periodically
 executed). The binary will be cached by Linux, thus there is little
 performance penalty on this setup. The test machine was at 0.60% CPU while
 idle with no monitor, 0.86% CPU with the monitor running, and 1.17% CPU with
 the tooltip open (due to Xorg activity, because the monitor always generates
 the tooltip, even while hidden).

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@  


override_dh_auto_install:
	mv xfce-hkmon hkmon

# No dbgsym packages:
override_dh_strip:
	dh_strip --no-automatic-dbgsym
